|  | Home · All Classes · All Functions · Overviews

# ErrorPageExtensionReturn Class Reference
(QWebPage::ErrorPageExtensionReturn)
[QtWebKit module]

The ErrorPageExtensionReturn describes the error page, which will be shown for the frame for which the error occured. More...

     #include <QWebPage>

This class is not part of the Qt GUI Framework Edition.

This class was introduced in Qt 4.6.

- List of all members, including inherited members

## Public Functions

| ErrorPageExtensionReturn ()

## Detailed Description

The ErrorPageExtensionReturn describes the error page, which will be shown for the frame for which the error occured.

The ErrorPageExtensionReturn class holds the data needed for creating an error page. Some are optional such as contentType, which defaults to "text/html", as well as the encoding, which is assumed to be UTF-8 if not indicated otherwise.

The error page is stored in the content byte array, as HTML content. In order to convert a QString to a byte array, the QString::toUtf8() method can be used.

External objects such as stylesheets or images referenced in the HTML are located relative to baseUrl.

See also QWebPage::ErrorPageExtensionOption and QString::toUtf8().

## Member Function Documentation

### ErrorPageExtensionReturn::ErrorPageExtensionReturn ()

Constructs a new error page object.